subtle - Bug #239

Mplayer loses focus on view switch
07/22/2011 09:38 PM - Rasmus Steinke

Status: Fixed Start date: 07/22/2011
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 0%
Category: Bugfix Estimated time: 0.00 hour
Target version: Nu

Description

if user switches views while (sticky) mplayer is active, mplayer will lose focus.

2 ways to see this:

a) start mplayer, make it fullscreen, switch view, try to get mplayer into window mode again. (will not work until you switch back to the

view where you started mplayer.

b) start some app on workspace X. start mplayer on another view and switch to the view X again. mplayer will slip behind the started
app. you dont even have to switch views. E.g.: Start thunar, start mplayer, open thunar preferences. mplayer will slip behind thunar.

Related issues:

Related to Bug #241: floating windows are not kept on top.

Fixed 08/02/2011

History

#1 - 07/22/2011 09:42 PM - Christoph Kappel

- Subject changed from Mplayer loses focus on WS switch to Mplayer loses focus on view switch

- Category set to Bugfix
- Status changed from Unconfirmed to Confirmed
- Assignee set to Non member users

- Target version set to Nu

#2 - 08/07/2011 04:19 PM - Christoph Kappel

- Status changed from Confirmed to Fixed

Fixed due the stacking changes in r2987.
